diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-discussion.php ./wordpress-3.4/wp-admin/options-discussion.php
*** ./wordpress-3.3.2/wp-admin/options-discussion.php	2011-11-30 18:52:31.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-discussion.php	2012-03-15 23:36:12.000000000 -0500
***************
*** 71,77 ****
  
  <label for="close_comments_for_old_posts">
  <input name="close_comments_for_old_posts" type="checkbox" id="close_comments_for_old_posts" value="1" <?php checked('1', get_option('close_comments_for_old_posts')); ?> />
! <?php printf( __('Automatically close comments on articles older than %s days'), '</label><input name="close_comments_days_old" type="text" id="close_comments_days_old" value="' . esc_attr(get_option('close_comments_days_old')) . '" class="small-text" />'); ?>
  <br />
  <label for="thread_comments">
  <input name="thread_comments" type="checkbox" id="thread_comments" value="1" <?php checked('1', get_option('thread_comments')); ?> />
--- 71,77 ----
  
  <label for="close_comments_for_old_posts">
  <input name="close_comments_for_old_posts" type="checkbox" id="close_comments_for_old_posts" value="1" <?php checked('1', get_option('close_comments_for_old_posts')); ?> />
! <?php printf( __('Automatically close comments on articles older than %s days'), '</label><input name="close_comments_days_old" type="number" min="0" step="1" id="close_comments_days_old" value="' . esc_attr(get_option('close_comments_days_old')) . '" class="small-text" />'); ?>
  <br />
  <label for="thread_comments">
  <input name="thread_comments" type="checkbox" id="thread_comments" value="1" <?php checked('1', get_option('thread_comments')); ?> />
***************
*** 100,106 ****
  if ( 'oldest' == get_option('default_comments_page') ) $default_comments_page .= ' selected="selected"';
  $default_comments_page .= '>' . __('first') . '</option></select>';
  
! printf( __('Break comments into pages with %1$s top level comments per page and the %2$s page displayed by default'), '</label><label for="comments_per_page"><input name="comments_per_page" type="text" id="comments_per_page" value="' . esc_attr(get_option('comments_per_page')) . '" class="small-text" />', $default_comments_page );
  
  ?></label>
  <br />
--- 100,106 ----
  if ( 'oldest' == get_option('default_comments_page') ) $default_comments_page .= ' selected="selected"';
  $default_comments_page .= '>' . __('first') . '</option></select>';
  
! printf( __('Break comments into pages with %1$s top level comments per page and the %2$s page displayed by default'), '</label><label for="comments_per_page"><input name="comments_per_page" type="number" step="1" min="0" id="comments_per_page" value="' . esc_attr(get_option('comments_per_page')) . '" class="small-text" />', $default_comments_page );
  
  ?></label>
  <br />
***************
*** 142,148 ****
  <tr valign="top">
  <th scope="row"><?php _e('Comment Moderation'); ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Comment Moderation'); ?></span></legend>
! <p><label for="comment_max_links"><?php printf(__('Hold a comment in the queue if it contains %s or more links. (A common characteristic of comment spam is a large number of hyperlinks.)'), '<input name="comment_max_links" type="text" id="comment_max_links" value="' . esc_attr(get_option('comment_max_links')) . '" class="small-text" />' ); ?></label></p>
  
  <p><label for="moderation_keys"><?php _e('When a comment contains any of these words in its content, name, URL, e-mail, or IP, it will be held in the <a href="edit-comments.php?comment_status=moderated">moderation queue</a>. One word or IP per line. It will match inside words, so &#8220;press&#8221; will match &#8220;WordPress&#8221;.'); ?></label></p>
  <p>
--- 142,148 ----
  <tr valign="top">
  <th scope="row"><?php _e('Comment Moderation'); ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Comment Moderation'); ?></span></legend>
! <p><label for="comment_max_links"><?php printf(__('Hold a comment in the queue if it contains %s or more links. (A common characteristic of comment spam is a large number of hyperlinks.)'), '<input name="comment_max_links" type="number" step="1" min="0" id="comment_max_links" value="' . esc_attr(get_option('comment_max_links')) . '" class="small-text" />' ); ?></label></p>
  
  <p><label for="moderation_keys"><?php _e('When a comment contains any of these words in its content, name, URL, e-mail, or IP, it will be held in the <a href="edit-comments.php?comment_status=moderated">moderation queue</a>. One word or IP per line. It will match inside words, so &#8220;press&#8221; will match &#8220;WordPress&#8221;.'); ?></label></p>
  <p>
***************
*** 164,170 ****
  
  <h3><?php _e('Avatars'); ?></h3>
  
! <p><?php _e('An avatar is an image that follows you from weblog to weblog appearing beside your name when you comment on avatar enabled sites.  Here you can enable the display of avatars for people who comment on your site.'); ?></p>
  
  <?php // the above would be a good place to link to codex documentation on the gravatar functions, for putting it in themes. anything like that? ?>
  
--- 164,170 ----
  
  <h3><?php _e('Avatars'); ?></h3>
  
! <p><?php _e('An avatar is an image that follows you from weblog to weblog appearing beside your name when you comment on avatar enabled sites. Here you can enable the display of avatars for people who comment on your site.'); ?></p>
  
  <?php // the above would be a good place to link to codex documentation on the gravatar functions, for putting it in themes. anything like that? ?>
  
***************
*** 228,234 ****
  $avatar_list = '';
  foreach ( $avatar_defaults as $default_key => $default_name ) {
  	$selected = ($default == $default_key) ? 'checked="checked" ' : '';
! 	$avatar_list .= "\n\t<label><input type='radio' name='avatar_default' id='avatar_{$default_key}' value='" . esc_attr($default_key)  . "' {$selected}/> ";
  
  	$avatar = get_avatar( $user_email, $size, $default_key );
  	$avatar_list .= preg_replace("/src='(.+?)'/", "src='\$1&amp;forcedefault=1'", $avatar);
--- 228,234 ----
  $avatar_list = '';
  foreach ( $avatar_defaults as $default_key => $default_name ) {
  	$selected = ($default == $default_key) ? 'checked="checked" ' : '';
! 	$avatar_list .= "\n\t<label><input type='radio' name='avatar_default' id='avatar_{$default_key}' value='" . esc_attr($default_key) . "' {$selected}/> ";
  
  	$avatar = get_avatar( $user_email, $size, $default_key );
  	$avatar_list .= preg_replace("/src='(.+?)'/", "src='\$1&amp;forcedefault=1'", $avatar);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-general.php ./wordpress-3.4/wp-admin/options-general.php
*** ./wordpress-3.3.2/wp-admin/options-general.php	2011-12-01 22:31:01.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-general.php	2012-04-25 19:58:16.000000000 -0500
***************
*** 98,105 ****
  </tr>
  <tr valign="top">
  <th scope="row"><label for="blogdescription"><?php _e('Tagline') ?></label></th>
! <td><input name="blogdescription" type="text" id="blogdescription"  value="<?php form_option('blogdescription'); ?>" class="regular-text" />
! <span class="description"><?php _e('In a few words, explain what this site is about.') ?></span></td>
  </tr>
  <?php if ( !is_multisite() ) { ?>
  <tr valign="top">
--- 98,105 ----
  </tr>
  <tr valign="top">
  <th scope="row"><label for="blogdescription"><?php _e('Tagline') ?></label></th>
! <td><input name="blogdescription" type="text" id="blogdescription" value="<?php form_option('blogdescription'); ?>" class="regular-text" />
! <p class="description"><?php _e('In a few words, explain what this site is about.') ?></p></td>
  </tr>
  <?php if ( !is_multisite() ) { ?>
  <tr valign="top">
***************
*** 109,120 ****
  <tr valign="top">
  <th scope="row"><label for="home"><?php _e('Site Address (URL)') ?></label></th>
  <td><input name="home" type="text" id="home" value="<?php form_option('home'); ?>"<?php disabled( defined( 'WP_HOME' ) ); ?> class="regular-text code<?php if ( defined( 'WP_HOME' ) ) echo ' disabled' ?>" />
! <span class="description"><?php _e('Enter the address here if you want your site homepage <a href="http://codex.wordpress.org/Giving_WordPress_Its_Own_Directory">to be different from the directory</a> you installed WordPress.'); ?></span></td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="admin_email"><?php _e('E-mail Address') ?> </label></th>
! <td><input name="admin_email" type="text" id="admin_email" value="<?php form_option('admin_email'); ?>" class="regular-text" />
! <span class="description"><?php _e('This address is used for admin purposes, like new user notification.') ?></span></td>
  </tr>
  <tr valign="top">
  <th scope="row"><?php _e('Membership') ?></th>
--- 109,120 ----
  <tr valign="top">
  <th scope="row"><label for="home"><?php _e('Site Address (URL)') ?></label></th>
  <td><input name="home" type="text" id="home" value="<?php form_option('home'); ?>"<?php disabled( defined( 'WP_HOME' ) ); ?> class="regular-text code<?php if ( defined( 'WP_HOME' ) ) echo ' disabled' ?>" />
! <p class="description"><?php _e('Enter the address here if you want your site homepage <a href="http://codex.wordpress.org/Giving_WordPress_Its_Own_Directory">to be different from the directory</a> you installed WordPress.'); ?></p></td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="admin_email"><?php _e('E-mail Address') ?> </label></th>
! <td><input name="admin_email" type="text" id="admin_email" value="<?php form_option('admin_email'); ?>" class="regular-text ltr" />
! <p class="description"><?php _e('This address is used for admin purposes, like new user notification.') ?></p></td>
  </tr>
  <tr valign="top">
  <th scope="row"><?php _e('Membership') ?></th>
***************
*** 132,139 ****
  <?php } else { ?>
  <tr valign="top">
  <th scope="row"><label for="new_admin_email"><?php _e('E-mail Address') ?> </label></th>
! <td><input name="new_admin_email" type="text" id="new_admin_email" value="<?php form_option('admin_email'); ?>" class="regular-text code" />
! <span class="description"><?php _e('This address is used for admin purposes. If you change this we will send you an e-mail at your new address to confirm it. <strong>The new address will not become active until confirmed.</strong>') ?></span>
  <?php
  $new_admin_email = get_option( 'new_admin_email' );
  if ( $new_admin_email && $new_admin_email != get_option('admin_email') ) : ?>
--- 132,139 ----
  <?php } else { ?>
  <tr valign="top">
  <th scope="row"><label for="new_admin_email"><?php _e('E-mail Address') ?> </label></th>
! <td><input name="new_admin_email" type="text" id="new_admin_email" value="<?php form_option('admin_email'); ?>" class="regular-text ltr" />
! <p class="description"><?php _e('This address is used for admin purposes. If you change this we will send you an e-mail at your new address to confirm it. <strong>The new address will not become active until confirmed.</strong>') ?></p>
  <?php
  $new_admin_email = get_option( 'new_admin_email' );
  if ( $new_admin_email && $new_admin_email != get_option('admin_email') ) : ?>
***************
*** 151,157 ****
  
  $check_zone_info = true;
  
! // Remove old Etc mappings.  Fallback to gmt_offset.
  if ( false !== strpos($tzstring,'Etc/GMT') )
  	$tzstring = '';
  
--- 151,157 ----
  
  $check_zone_info = true;
  
! // Remove old Etc mappings. Fallback to gmt_offset.
  if ( false !== strpos($tzstring,'Etc/GMT') )
  	$tzstring = '';
  
***************
*** 177,184 ****
  <?php if ( get_option('timezone_string') || !empty($current_offset) ) : ?>
  	<span id="local-time"><?php printf(__('Local time is <code>%1$s</code>'), date_i18n($timezone_format)); ?></span>
  <?php endif; ?>
! <br />
! <span class="description"><?php _e('Choose a city in the same timezone as you.'); ?></span>
  <?php if ($check_zone_info && $tzstring) : ?>
  <br />
  <span>
--- 177,183 ----
  <?php if ( get_option('timezone_string') || !empty($current_offset) ) : ?>
  	<span id="local-time"><?php printf(__('Local time is <code>%1$s</code>'), date_i18n($timezone_format)); ?></span>
  <?php endif; ?>
! <p class="description"><?php _e('Choose a city in the same timezone as you.'); ?></p>
  <?php if ($check_zone_info && $tzstring) : ?>
  <br />
  <span>
***************
*** 211,217 ****
  			echo ' ';
  			$message = $tr['isdst'] ?
  				__('Daylight saving time begins on: <code>%s</code>.') :
! 				__('Standard time begins  on: <code>%s</code>.');
  			// Add the difference between the current offset and the new offset to ts to get the correct transition time from date_i18n().
  			printf( $message, date_i18n(get_option('date_format') . ' ' . get_option('time_format'), $tr['ts'] + ($tz_offset - $tr['offset']) ) );
  		} else {
--- 210,216 ----
  			echo ' ';
  			$message = $tr['isdst'] ?
  				__('Daylight saving time begins on: <code>%s</code>.') :
! 				__('Standard time begins on: <code>%s</code>.');
  			// Add the difference between the current offset and the new offset to ts to get the correct transition time from date_i18n().
  			printf( $message, date_i18n(get_option('date_format') . ' ' . get_option('time_format'), $tr['ts'] + ($tz_offset - $tr['offset']) ) );
  		} else {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-head.php ./wordpress-3.4/wp-admin/options-head.php
*** ./wordpress-3.3.2/wp-admin/options-head.php	2010-12-03 04:59:20.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-head.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 17,21 ****
  }
  
  settings_errors();
- 
- ?>
\ No newline at end of file
--- 17,19 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-media.php ./wordpress-3.4/wp-admin/options-media.php
*** ./wordpress-3.3.2/wp-admin/options-media.php	2011-11-30 18:52:31.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-media.php	2012-04-25 19:58:16.000000000 -0500
***************
*** 60,68 ****
  <th scope="row"><?php _e('Thumbnail size') ?></th>
  <td>
  <label for="thumbnail_size_w"><?php _e('Width'); ?></label>
! <input name="thumbnail_size_w" type="text" id="thumbnail_size_w" value="<?php form_option('thumbnail_size_w'); ?>" class="small-text" />
  <label for="thumbnail_size_h"><?php _e('Height'); ?></label>
! <input name="thumbnail_size_h" type="text" id="thumbnail_size_h" value="<?php form_option('thumbnail_size_h'); ?>" class="small-text" /><br />
  <input name="thumbnail_crop" type="checkbox" id="thumbnail_crop" value="1" <?php checked('1', get_option('thumbnail_crop')); ?>/>
  <label for="thumbnail_crop"><?php _e('Crop thumbnail to exact dimensions (normally thumbnails are proportional)'); ?></label>
  </td>
--- 60,68 ----
  <th scope="row"><?php _e('Thumbnail size') ?></th>
  <td>
  <label for="thumbnail_size_w"><?php _e('Width'); ?></label>
! <input name="thumbnail_size_w" type="number" step="1" min="0" id="thumbnail_size_w" value="<?php form_option('thumbnail_size_w'); ?>" class="small-text" />
  <label for="thumbnail_size_h"><?php _e('Height'); ?></label>
! <input name="thumbnail_size_h" type="number" step="1" min="0" id="thumbnail_size_h" value="<?php form_option('thumbnail_size_h'); ?>" class="small-text" /><br />
  <input name="thumbnail_crop" type="checkbox" id="thumbnail_crop" value="1" <?php checked('1', get_option('thumbnail_crop')); ?>/>
  <label for="thumbnail_crop"><?php _e('Crop thumbnail to exact dimensions (normally thumbnails are proportional)'); ?></label>
  </td>
***************
*** 72,80 ****
  <th scope="row"><?php _e('Medium size') ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Medium size'); ?></span></legend>
  <label for="medium_size_w"><?php _e('Max Width'); ?></label>
! <input name="medium_size_w" type="text" id="medium_size_w" value="<?php form_option('medium_size_w'); ?>" class="small-text" />
  <label for="medium_size_h"><?php _e('Max Height'); ?></label>
! <input name="medium_size_h" type="text" id="medium_size_h" value="<?php form_option('medium_size_h'); ?>" class="small-text" />
  </fieldset></td>
  </tr>
  
--- 72,80 ----
  <th scope="row"><?php _e('Medium size') ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Medium size'); ?></span></legend>
  <label for="medium_size_w"><?php _e('Max Width'); ?></label>
! <input name="medium_size_w" type="number" step="1" min="0" id="medium_size_w" value="<?php form_option('medium_size_w'); ?>" class="small-text" />
  <label for="medium_size_h"><?php _e('Max Height'); ?></label>
! <input name="medium_size_h" type="number" step="1" min="0" id="medium_size_h" value="<?php form_option('medium_size_h'); ?>" class="small-text" />
  </fieldset></td>
  </tr>
  
***************
*** 82,90 ****
  <th scope="row"><?php _e('Large size') ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Large size'); ?></span></legend>
  <label for="large_size_w"><?php _e('Max Width'); ?></label>
! <input name="large_size_w" type="text" id="large_size_w" value="<?php form_option('large_size_w'); ?>" class="small-text" />
  <label for="large_size_h"><?php _e('Max Height'); ?></label>
! <input name="large_size_h" type="text" id="large_size_h" value="<?php form_option('large_size_h'); ?>" class="small-text" />
  </fieldset></td>
  </tr>
  
--- 82,90 ----
  <th scope="row"><?php _e('Large size') ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Large size'); ?></span></legend>
  <label for="large_size_w"><?php _e('Max Width'); ?></label>
! <input name="large_size_w" type="number" step="1" min="0" id="large_size_w" value="<?php form_option('large_size_w'); ?>" class="small-text" />
  <label for="large_size_h"><?php _e('Max Height'); ?></label>
! <input name="large_size_h" type="number" step="1" min="0" id="large_size_h" value="<?php form_option('large_size_h'); ?>" class="small-text" />
  </fieldset></td>
  </tr>
  
***************
*** 106,115 ****
  <th scope="row"><?php _e('Maximum embed size') ?></th>
  <td>
  <label for="embed_size_w"><?php _e('Width'); ?></label>
! <input name="embed_size_w" type="text" id="embed_size_w" value="<?php form_option('embed_size_w'); ?>" class="small-text" />
  <label for="embed_size_h"><?php _e('Height'); ?></label>
! <input name="embed_size_h" type="text" id="embed_size_h" value="<?php form_option('embed_size_h'); ?>" class="small-text" />
! <?php if ( !empty($content_width) ) echo '<br />' . __("If the width value is left blank, embeds will default to the max width of your theme."); ?>
  </td>
  </tr>
  
--- 106,117 ----
  <th scope="row"><?php _e('Maximum embed size') ?></th>
  <td>
  <label for="embed_size_w"><?php _e('Width'); ?></label>
! <input name="embed_size_w" type="number" step="1" min="0" id="embed_size_w" value="<?php form_option('embed_size_w'); ?>" class="small-text" />
  <label for="embed_size_h"><?php _e('Height'); ?></label>
! <input name="embed_size_h" type="number" step="1" min="0" id="embed_size_h" value="<?php form_option('embed_size_h'); ?>" class="small-text" />
! <?php if ( ! empty( $content_width ) )
! 	echo '<p class="description">' . __( 'If the width value is left blank, embeds will default to the max width of your theme.' ) . '</p>';
! ?>
  </td>
  </tr>
  
***************
*** 122,135 ****
  <tr valign="top">
  <th scope="row"><label for="upload_path"><?php _e('Store uploads in this folder'); ?></label></th>
  <td><input name="upload_path" type="text" id="upload_path" value="<?php echo esc_attr(get_option('upload_path')); ?>" class="regular-text code" />
! <span class="description"><?php _e('Default is <code>wp-content/uploads</code>'); ?></span>
  </td>
  </tr>
  
  <tr valign="top">
  <th scope="row"><label for="upload_url_path"><?php _e('Full URL path to files'); ?></label></th>
  <td><input name="upload_url_path" type="text" id="upload_url_path" value="<?php echo esc_attr( get_option('upload_url_path')); ?>" class="regular-text code" />
! <span class="description"><?php _e('Configuring this is optional. By default, it should be blank.'); ?></span>
  </td>
  </tr>
  
--- 124,137 ----
  <tr valign="top">
  <th scope="row"><label for="upload_path"><?php _e('Store uploads in this folder'); ?></label></th>
  <td><input name="upload_path" type="text" id="upload_path" value="<?php echo esc_attr(get_option('upload_path')); ?>" class="regular-text code" />
! <p class="description"><?php _e('Default is <code>wp-content/uploads</code>'); ?></p>
  </td>
  </tr>
  
  <tr valign="top">
  <th scope="row"><label for="upload_url_path"><?php _e('Full URL path to files'); ?></label></th>
  <td><input name="upload_url_path" type="text" id="upload_url_path" value="<?php echo esc_attr( get_option('upload_url_path')); ?>" class="regular-text code" />
! <p class="description"><?php _e('Configuring this is optional. By default, it should be blank.'); ?></p>
  </td>
  </tr>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-permalink.php ./wordpress-3.4/wp-admin/options-permalink.php
*** ./wordpress-3.3.2/wp-admin/options-permalink.php	2011-12-01 22:31:01.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-permalink.php	2012-02-28 14:29:33.000000000 -0600
***************
*** 140,158 ****
  else
  	$usingpi = false;
  
! $wp_rewrite->flush_rules();
! 
  
  if (isset($_POST['submit'])) : ?>
  <div id="message" class="updated"><p><?php
  if ( ! is_multisite() ) {
  	if ( $iis7_permalinks ) {
  		if ( $permalink_structure && ! $usingpi && ! $writable )
! 			_e('You should update your web.config now');
  		else if ( $permalink_structure && ! $usingpi && $writable )
  			_e('Permalink structure updated. Remove write access on web.config file now!');
  		else
! 			_e('Permalink structure updated');
  	} else {
  		if ( $permalink_structure && ! $usingpi && ! $writable )
  			_e('You should update your .htaccess now.');
--- 140,157 ----
  else
  	$usingpi = false;
  
! flush_rewrite_rules();
  
  if (isset($_POST['submit'])) : ?>
  <div id="message" class="updated"><p><?php
  if ( ! is_multisite() ) {
  	if ( $iis7_permalinks ) {
  		if ( $permalink_structure && ! $usingpi && ! $writable )
! 			_e('You should update your web.config now.');
  		else if ( $permalink_structure && ! $usingpi && $writable )
  			_e('Permalink structure updated. Remove write access on web.config file now!');
  		else
! 			_e('Permalink structure updated.');
  	} else {
  		if ( $permalink_structure && ! $usingpi && ! $writable )
  			_e('You should update your .htaccess now.');
***************
*** 226,236 ****
  </table>
  
  <h3><?php _e('Optional'); ?></h3>
! <?php if ( $is_apache || $iis7_permalinks ) : ?>
! 	<p><?php _e('If you like, you may enter custom structures for your category and tag <abbr title="Universal Resource Locator">URL</abbr>s here. For example, using <kbd>topics</kbd> as your category base would make your category links like <code>http://example.org/topics/uncategorized/</code>. If you leave these blank the defaults will be used.') ?></p>
! <?php else : ?>
! 	<p><?php _e('If you like, you may enter custom structures for your category and tag <abbr title="Universal Resource Locator">URL</abbr>s here. For example, using <code>topics</code> as your category base would make your category links like <code>http://example.org/index.php/topics/uncategorized/</code>. If you leave these blank the defaults will be used.') ?></p>
! <?php endif; ?>
  
  <table class="form-table">
  	<tr>
--- 225,238 ----
  </table>
  
  <h3><?php _e('Optional'); ?></h3>
! <?php
! $suffix = '';
! if ( ! $is_apache && ! $iis7_permalinks )
! 	$suffix = 'index.php/';
! ?>
! <p><?php
! /* translators: %s is a placeholder that must come at the start of the URL path. */
! printf( __('If you like, you may enter custom structures for your category and tag <abbr title="Universal Resource Locator">URL</abbr>s here. For example, using <code>topics</code> as your category base would make your category links like <code>http://example.org/%stopics/uncategorized/</code>. If you leave these blank the defaults will be used.'), $suffix ); ?></p>
  
  <table class="form-table">
  	<tr>
***************
*** 257,270 ****
  <?php wp_nonce_field('update-permalink') ?>
  	<p><textarea rows="9" class="large-text readonly" name="rules" id="rules" readonly="readonly"><?php echo esc_textarea( $wp_rewrite->iis7_url_rewrite_rules() ); ?></textarea></p>
  </form>
! <p><?php _e('If you temporarily make your <code>web.config</code> file writable for us to generate rewrite rules automatically, do not forget to revert the permissions after rule has been saved.')  ?></p>
  		<?php else : ?>
  <p><?php _e('If the root directory of your site were <a href="http://codex.wordpress.org/Changing_File_Permissions">writable</a>, we could do this automatically, but it isn&#8217;t so this is the url rewrite rule you should have in your <code>web.config</code> file. Create a new file, called <code>web.config</code> in the root directory of your site. Click in the field and press <kbd>CTRL + a</kbd> to select all. Then insert this code into the <code>web.config</code> file.') ?></p>
  <form action="options-permalink.php" method="post">
  <?php wp_nonce_field('update-permalink') ?>
  	<p><textarea rows="18" class="large-text readonly" name="rules" id="rules" readonly="readonly"><?php echo esc_textarea( $wp_rewrite->iis7_url_rewrite_rules(true) ); ?></textarea></p>
  </form>
! <p><?php _e('If you temporarily make your site&#8217;s root directory writable for us to generate the <code>web.config</code> file automatically, do not forget to revert the permissions after the file has been created.')  ?></p>
  		<?php endif; ?>
  	<?php endif; ?>
  <?php else :
--- 259,272 ----
  <?php wp_nonce_field('update-permalink') ?>
  	<p><textarea rows="9" class="large-text readonly" name="rules" id="rules" readonly="readonly"><?php echo esc_textarea( $wp_rewrite->iis7_url_rewrite_rules() ); ?></textarea></p>
  </form>
! <p><?php _e('If you temporarily make your <code>web.config</code> file writable for us to generate rewrite rules automatically, do not forget to revert the permissions after rule has been saved.') ?></p>
  		<?php else : ?>
  <p><?php _e('If the root directory of your site were <a href="http://codex.wordpress.org/Changing_File_Permissions">writable</a>, we could do this automatically, but it isn&#8217;t so this is the url rewrite rule you should have in your <code>web.config</code> file. Create a new file, called <code>web.config</code> in the root directory of your site. Click in the field and press <kbd>CTRL + a</kbd> to select all. Then insert this code into the <code>web.config</code> file.') ?></p>
  <form action="options-permalink.php" method="post">
  <?php wp_nonce_field('update-permalink') ?>
  	<p><textarea rows="18" class="large-text readonly" name="rules" id="rules" readonly="readonly"><?php echo esc_textarea( $wp_rewrite->iis7_url_rewrite_rules(true) ); ?></textarea></p>
  </form>
! <p><?php _e('If you temporarily make your site&#8217;s root directory writable for us to generate the <code>web.config</code> file automatically, do not forget to revert the permissions after the file has been created.') ?></p>
  		<?php endif; ?>
  	<?php endif; ?>
  <?php else :
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options.php ./wordpress-3.4/wp-admin/options.php
*** ./wordpress-3.3.2/wp-admin/options.php	2011-09-30 12:18:35.000000000 -0500
--- ./wordpress-3.4/wp-admin/options.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 151,157 ****
  	}
  
  	/**
! 	 *  Handle settings errors and return to options page
  	 */
  	// If no settings errors were registered add a general 'updated' message.
  	if ( !count( get_settings_errors() ) )
--- 151,157 ----
  	}
  
  	/**
! 	 * Handle settings errors and return to options page
  	 */
  	// If no settings errors were registered add a general 'updated' message.
  	if ( !count( get_settings_errors() ) )
***************
*** 221,227 ****
    </form>
  </div>
  
- 
  <?php
  include('./admin-footer.php');
- ?>
--- 221,225 ----
